GET/v2/sso-connections

List SSO connections

Returns every status page SSO connection of the authenticated project, oldest first: OpenID Connect connections, and the SAML and Other providers connections set up in the dashboard.

Request

No parameters. The list is not paginated.

Response

Returns the connections of the project.

Response Fieldsapplication/json
connectionsarray
Array of connection objects. The client secret is never included.
RequestcURL
curl -X GET https://api.hyperping.io/v2/sso-connections \
  -H "Authorization: Bearer ${API_TOKEN}"
200 OKJSON
{
  "connections": [
    {
      "uuid": "sso_kQwPzRtLmYbN4v",
      "name": "Acme employees",
      "provider": "oidc",
      "allowed_domains": ["acme.com"],
      "active": true,
      "configured": true,
      "issuer": "https://acme.eu.auth0.com/",
      "client_id": "x8Qm2LkP0vZr7TnY4bWc",
      "has_client_secret": true,
      "redirect_uri": "https://api.hyperping.io/v1/auth/sso/oidc/callback",
      "created_at": "2026-10-15T09:12:44.000Z",
      "updated_at": "2026-10-15T09:12:45.000Z"
    },
    {
      "uuid": "sso_HbTrWqLsNxPz7d",
      "name": "Corporate Okta",
      "provider": "okta",
      "allowed_domains": [],
      "active": true,
      "configured": true,
      "issuer": null,
      "client_id": null,
      "has_client_secret": false,
      "redirect_uri": null,
      "created_at": "2026-06-02T14:30:10.000Z",
      "updated_at": "2026-06-02T14:41:52.000Z"
    }
  ]
}